Package io.dapr.client

# Class DaprHttpBuilder

java.lang.Object
io.dapr.client.DaprHttpBuilder

    public class DaprHttpBuilder
    extends java.lang.Object

A builder for the DaprHttp.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DaprHttpBuilder()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprHttp` | `build()` | Build an instance of the Http client based on the provided setup.
  `DaprHttpBuilder` | `withReadTimeout​(java.time.Duration duration)` | Sets the read timeout duration for the instance to be built.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DaprHttpBuilder

    public DaprHttpBuilder()

- ## Method Details

  - ### withReadTimeout

    public DaprHttpBuilder withReadTimeout​(java.time.Duration duration)
    Sets the read timeout duration for the instance to be built.
    Parameters:
      `duration` - Read timeout duration.
    Returns:
      Same builder instance.

  - ### build

    public DaprHttp build()
    Build an instance of the Http client based on the provided setup.
    Returns:
      an instance of `DaprHttp`
    Throws:
      `java.lang.IllegalStateException` - if any required field is missing